/***************************************************************************
* Copyright (C) 2009 The Terminal Prototype
* All rights reserved.
* Contact: florian (florian.rueberg@rwth-aachen.de)
*
* Terminal Prototype is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* Terminal Prototype is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with Terminal Prototype.  If not, see <http://www.gnu.org/licenses/>.
******************************************************************************/

#ifndef TEXTBROWSER_H
#define TEXTBROWSER_H

#include <QtGui>
#include <QtGui/QTextBrowser>
#include "ui/text_browser.h"


class TextBrowser : public QTextBrowser{
public:

TextBrowser(QWidget *parent = 0);

void keyPressEvent(QKeyEvent* event);

void mouseReleaseEvent(QMouseEvent *event);

bool event(QEvent* event);

private:



void contentsMousePressEvent(QMouseEvent *e){
	//implement with QTextCurser... selectionStart?
}

void contentsMouseMoveEvent(QMouseEvent *e){}
void contentsMouseReleaseEvent(QMouseEvent *e){}
void contentsMouseDoubleClickEvent(QMouseEvent *e){}

};

#endif //TEXTBROWSER_H
