/***************************************************************************
* Copyright (C) 2009 The Terminal Prototype
* All rights reserved.
* Contact: florian (florian.rueberg@rwth-aachen.de)
*
* Terminal Prototype is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* Terminal Prototype is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with Terminal Prototype.  If not, see <http://www.gnu.org/licenses/>.
******************************************************************************/

#include <QtGui/QApplication>



#include "dialog.h"
#include "sys/sys.h"
#include "screen/screen_proxy.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    sys::SysStatus::instance().setSystemBusy(false);
    QTextCodec* codec =  QTextCodec::codecForName("UTF-8");
    QTextCodec::setCodecForTr(codec);
    Dialog w;
    w.showFullScreen();
    onyx::screen::ScreenProxy::instance().flush(&w, onyx::screen::ScreenProxy::GU);

    return a.exec();
}
